package com.avaya.ccs.javafxrefclient.request;

import com.avaya.ccs.javafxrefclient.Logger;

public class GetCustomerHistoryRequest extends InteractionRequest {

    private static final Logger LOG = Logger.getLogger(GetCustomerHistoryRequest.class);
    
    public GetCustomerHistoryRequest(String interactionID) {
        super(LOG, interactionID);
    }
    
    /**
     * The call method executes on the outgoingRequest thread
     *
     * @return
     * @throws Exception
     */
    @Override
    protected Object call() throws Exception {
        String methodName = "call() ";
        LOG.trace(methodName + "+");
        getInteraction().requestCustomerHistory();
        
        LOG.trace(methodName + "-");
        return null;
    }

}
